Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class GrailsTagRegistry

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GrailsTagRegistry

    public class GrailsTagRegistry
    extends java.lang.Object

A registry for holding all Grails tag implementations.

Authors:
  Graeme Rocher

Method Summary
`static GrailsTagRegistry` | `getInstance()`
`boolean` | `isRequestContextTag(java.lang.String tagName)`
`boolean` | `isSyntaxTag(java.lang.String tagName)`
`GrailsTag` | `newTag(java.lang.String tagName)`
`void` | `registerTag(java.lang.String tagName, java.lang.Class tag)`
`boolean` | `tagSupported(java.lang.String tagName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getInstance

    public static GrailsTagRegistry getInstance()

### isRequestContextTag

    public boolean isRequestContextTag(java.lang.String tagName)

### isSyntaxTag

    public boolean isSyntaxTag(java.lang.String tagName)

### newTag

    public GrailsTag newTag(java.lang.String tagName)

### registerTag

    public void registerTag(java.lang.String tagName, java.lang.Class tag)

### tagSupported

    public boolean tagSupported(java.lang.String tagName)

Groovy Documentation